within HeatConduction.ClosedLoopRefined;
model HeatConductionElement
  parameter Modelica.SIunits.ThermalConductance G "Thermal conductance";
  parameter Modelica.SIunits.HeatCapacity C "Heat capacity of element (= cp*m)";
  Modelica.Thermal.HeatTransfer.Components.ThermalConductor con(final G = G) "Thermal conductor"
    annotation(Placement(visible = true, transformation(origin = {-30, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.HeatCapacitor cap(
    final C = C,
    T(fixed=true)) "Thermal capacitor"
    annotation(Placement(visible = true, transformation(origin = {0, 30}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a "Heat port a"
    annotation(Placement(visible = true, transformation(origin = {-100, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {-100, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b "Heat port b"
    annotation(Placement(visible = true, transformation(origin = {102, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {102, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(con.port_b, port_b)
     annotation(Line(points = {{-20, 0}, {102, 0}, {102, 0}, {102, 0}}, color = {191, 0, 0}));
  connect(con.port_a, port_a) annotation(Line(points = {{-40, 0}, {-100, 0}, {-100, 0}, {-100, 0}}, color = {191, 0, 0}));
  connect(con.port_b, cap.port) annotation(Line(points = {{-20, 0}, {0, 0}, {0, 20}, {0, 20}}, color = {191, 0, 0}));
  annotation(Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2}), graphics = {Rectangle(origin = {1, 0}, fillColor = {170, 170, 127}, fillPattern = FillPattern.Solid, extent = {{-101, 100}, {99, -100}})}));
end HeatConductionElement;
